#
# spec file for package tftp (Version 0.20)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcpd
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcpd texinfo textutils timezone unzip util-linux vim

Name:         tftp
Copyright:    BSD
Group:        Networking/Daemons
Requires:     inet-daemon netcfg
Autoreqprov:  on
Version:      0.20
Release:      33
Summary:      Trivial File Transfer Protocol (TFTP)
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Source:  tftp-hpa-%{version}.tar.bz2
Patch:   tftp-hpa-%{version}.dif

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations and for getting/saving configuration
files of network components.

Authors:
--------
    H. Peter Anvin <hpa@zytor.com>

SuSE series: n

%prep
%setup -n tftp-hpa-%{version}
%patch

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --mandir=%{_mandir} %{_target_cpu}-suse-linux
make

%install
rm -Rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
make install INSTALLROOT=$RPM_BUILD_ROOT

%clean
#if [ -n "$RPM_BUILD_ROOT" ] ; then
#   rm -rf $RPM_BUILD_ROOT
#fi

%files
%doc README README.security
/usr/bin/tftp
%doc %{_mandir}/man1/tftp.1.gz
%doc %{_mandir}/man8/in.tftpd.8.gz
%doc %{_mandir}/man8/tftpd.8.gz
/usr/sbin/in.tftpd

%changelog -n tftp
* Sat Aug 04 2001 - kukuk@suse.de
- Update to 0.20
* Fri Jul 27 2001 - kukuk@suse.de
- Update to 0.19
* Tue Jul 10 2001 - kukuk@suse.de
- Add tcp wrapper to neededforbuild
* Tue Jul 10 2001 - kukuk@suse.de
- Update to 0.17
* Thu Jun 14 2001 - cihlar@suse.cz
- requires inet-daemon, not inetd
* Fri Mar 30 2001 - kukuk@suse.de
- Update to 0.16
* Thu Mar 29 2001 - kukuk@suse.de
- Update to 0.15
* Tue Jan 02 2001 - kukuk@suse.de
- Add IP_PKTINFO patch from Cord Seele (Bug #4961)
* Tue Dec 12 2000 - draht@suse.de
- make tftpd(8) not only drop euid but all uids
* Sun Oct 08 2000 - kukuk@suse.de
- Split from nkitb
